
The Hammer - Bug #148

Method Extract: Procedure without parameters not called

05/31/2019 09:31 PM - Wil van Antwerpen

Status: Closed Start date: 05/31/2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

If you extract a procedure without any parameters then it does not get invoked from the location where the method is extracted.

History

#1 - 06/02/2019 05:41 PM - Wil van Antwerpen

- Status changed from New to Resolved

Some of the code that determined the method name was inside a parameter check.

Moved it out and this now works as expected.

#2 - 06/03/2019 04:41 PM - Wil van Antwerpen

- Status changed from Resolved to Closed

Fixed in RC1
